proxies:
  - name: 阿里云
    type: socks5
    server: pr.devlink.cn
    port: 8444
    tls: true # https
    udp: true
    skip-cert-verify: true
    username: wavpub
    password: wavpub2023
  - name: 联通
    type: socks5
    server: pr2.devlink.cn
    port: 10088
    tls: true # https
    udp: true
    skip-cert-verify: true
    username: wavpub
    password: wavpub2023   
  - name: 电信
    type: socks5
    server: pr3.devlink.cn
    port: 10088
    tls: true # https
    udp: true
    skip-cert-verify: true
    username: wavpub
    password: wavpub2023   
mode: rule
proxy-groups:
  # 功能分组
  - name: 'auto'
    type: url-test
    proxies:
      - 阿里云
      - 联通
      - 电信
    url: 'http://www.gstatic.com/generate_204'
    interval: 300

rule-providers:
  cn-domain:
    behavior: domain # 使用 domain 类规则集，可以使匹配更高效
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/direct.txt
    interval: 86400
  gfw-domain:
    behavior: domain # 使用 domain 类规则集，可以使匹配更高效
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/gfw.txt
    interval: 86400
  cn-cidr:
    behavior: ipcidr-text
    url: https://cdn.jsdelivr.net/gh/17mon/china_ip_list@master/china_ip_list.txt
    interval: 86400

rules:
  - IP-CIDR,33.0.0.0/8,DIRECT
  - GEOIP,LAN,DIRECT
  - RULE-SET,cn-domain,DIRECT
  - RULE-SET,gfw-domain,auto
  - RULE-SET,cn-cidr,DIRECT
  - MATCH,auto
script:
  shortcuts:
    quic: network == 'udp' and dst_port == 443
dns:
  default-nameserver:
    - system
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
log-level: warning
